/*
 * cartridge tape handler
 *
 * Copyright 2010 Jim Rees jim.rees@rees.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#define _XOPEN_SOURCE 600

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/select.h>
#include <arpa/inet.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <fcntl.h>

#include "m68k.h"
#include "dn3000.h"

static u_int8_t csr = 0x38;

int
ct_init(int dimgfd)
{
    return 0;
}

unsigned int
ct_read_memory_8(unsigned int addr)
{
    unsigned int data = 0;

    addr &= 0x3ff;
    printf("ct read %x\n", addr);
    if (addr == 1)
	data = csr;

    return data;
}

void
ct_write_memory_8(unsigned int addr, unsigned int data)
{
    addr &= 0x3ff;
    printf("ct %x: %x\n", addr, data);
}
